Advocates
Create Advocate
Create an advocate for your referral program
POST
/
v1
/
advocates
Create Advocate
curl --request POST \
--url https://api.getreditus.com/api/v1/advocates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uid": "<string>",
"email": "<string>",
"first_name": 123,
"last_name": 123,
"company": 123,
"company_id": 123
}
'import requests
url = "https://api.getreditus.com/api/v1/advocates"
payload = {
"uid": "<string>",
"email": "<string>",
"first_name": 123,
"last_name": 123,
"company": 123,
"company_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uid: '<string>',
email: '<string>',
first_name: 123,
last_name: 123,
company: 123,
company_id: 123
})
};
fetch('https://api.getreditus.com/api/v1/advocates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"id": "<string>",
"uid": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"slug": "<string>",
"referral_link": "<string>",
"company_id": "<string>",
"company": "<string>",
"created_at": 123
}
}
}{
"errors": [
{
"title": "<string>",
"details": {
"uid": [
"can't be blank",
"has already been taken"
]
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Accepted
Show child attributes
Show child attributes
Previous
Get Payment MethodRetrieve the masked payment method for an advocate. The advocate can be looked up by their Reditus ID (UUID) or by their uid (your internal user ID). Returns anonymized payment details so you can show a "connected" state without exposing sensitive data.
Next
⌘I
Create Advocate
